<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>cn.com.qmth.stmms</groupId>
		<artifactId>stmms-parent</artifactId>
		<version>1.0-SNAPSHOT</version>
	</parent>
	<groupId>cn.com.qmth.stmms</groupId>
	<artifactId>stmms-web</artifactId>
	<version>1.0-SNAPSHOT</version>
	<packaging>war</packaging>
	<name>stmms-web</name>
	<url>http://maven.apache.org</url>
	<dependencies>
		<dependency>
			<groupId>cn.com.qmth.stmms</groupId>
			<artifactId>stmms-biz</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-webmvc</artifactId>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
		</dependency>
		<dependency>
			<groupId>jstl</groupId>
			<artifactId>jstl</artifactId>
		</dependency>
		<dependency>
			<groupId>org.mortbay.jetty</groupId>
			<artifactId>jetty</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
		</dependency>
		<dependency>
			<groupId>javax.validation</groupId>
			<artifactId>validation-api</artifactId>
			<version>1.1.0.Final</version>
		</dependency>
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>5.0.1.Final</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet.jsp</groupId>
			<artifactId>jsp-api</artifactId>
			<version>2.1</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>opensymphony</groupId>
			<artifactId>sitemesh</artifactId>
			<version>2.4.2</version>
			<scope>runtime</scope>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>jetty-maven-plugin</artifactId>
				<configuration>
					<webApp>
						<contextPath>/</contextPath>
					</webApp>
					<stopKey>stmms</stopKey>
					<stopPort>9999</stopPort>
					<connectors>
						<connector implementation="org.eclipse.jetty.server.nio.SelectChannelConnector">
							<port>8090</port>
							<maxIdleTime>60000</maxIdleTime>
						</connector>
					</connectors>
					<systemProperties>
						<systemProperty>
							<name>catalina.home</name>
							<value>/Users/luoshi/develop/data/stmms-gx</value>
						</systemProperty>
						<systemProperty>
							<name>app.home</name>
							<value>/Users/luoshi/develop/data/stmms-gx</value>
						</systemProperty>
						<systemProperty>
							<name>local.ip</name>
							<value>192.168.1.100</value>
						</systemProperty>
					</systemProperties>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
